# getPodProcessors method

1. @override

List<PodProcessor> getPodProcessors()
override

Retrieves all registered pod-aware processors.

## Usage Example:

    final processors = factory.getPodProcessors();
    for (final processor in processors) {
      processor.processBeforeInitialization();
    }

@return A list of all registered pod-aware processors

## Implementation

    @override
    List<PodProcessor> getPodProcessors() {
      List<PodProcessor> result = [];

      synchronized(getPodProcessorCacheManager(), () {
        result.addAll(getPodProcessorCacheManager().instantiation);
        result.addAll(getPodProcessorCacheManager().destruction);
        result.addAll(getPodProcessorCacheManager().processors);

        // Remove duplicates
        result = result.toSet().toList();
      });

      return result;
    }